jQuery(document).ready(function ($){
  var cookie = 'tongwen';
  var cookie_options = { path: '/', expires: 100 };
  var cookie_lang = $.cookie(cookie);

  if(cookie_lang){
    var userLang = cookie_lang;
  }
  else{
    var userLang = (navigator.language) ? navigator.language : navigator.userLanguage;
  }
  if(userLang.toLocaleLowerCase() == 'zh-tw' || userLang.toLocaleLowerCase() == 'zh-hk'){
    TongWen.trans2Trad(document);
    $.cookie(cookie, 'zh-TW', cookie_options);
  }
  else{
    $.cookie(cookie, 'zh-CN', cookie_options);
    TongWen.trans2Simp(document);
  }

  $('.tongwen_s2t a').click(function(){
    $.cookie(cookie, 'zh-TW', cookie_options);
    TongWen.trans2Trad(document);
  });
  $('.tongwen_t2s a').click(function(){
    $.cookie(cookie, 'zh-CN', cookie_options);
    TongWen.trans2Simp(document);
  });
});
